| hoogle | Source code | Contents | Index

Web.Text

Synopsis

(+?) :: String -> String -> String
(+&) :: String -> String -> String
(+%) :: String -> String -> String
showTagHTMLWith :: (TagStr -> Maybe String) -> TagStr -> String
trimTags :: Int -> TagStr -> TagStr
onStr :: (String -> String) -> TagStr -> TagStr

Documentation

(+?) :: String -> String -> String | Source

Only append strings if neither one is empty

(+&) :: String -> String -> String | Source

Escape the second argument as HTML before appending

(+%) :: String -> String -> String | Source

Escape the second argument as a CGI query string before appending

showTagHTMLWith :: (TagStr -> Maybe String) -> TagStr -> String | Source

trimTags :: Int -> TagStr -> TagStr | Source

onStr :: (String -> String) -> TagStr -> TagStr | Source

Produced by Haddock version 2.4.2